Bug 799376 - prepopulation of fields on new LDAP Subject from LDAP user attributes should recognize standard alias attributes
prepopulation of fields on new LDAP Subject from LDAP user attributes should ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 10:38 EST by Ian Springer
Modified: 2015-02-01 18:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 03:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-03-02 10:38:22 EST
For example, "surname" is the standard alias for "sn":

attributetype ( 2.5.4.4 NAME ( 'sn' 'surname' ) SUP name )

as defined in the core schema (http://www.zytrax.com/books/ldap/ape/core-schema.html).

We should also prepopulate the Subject.department field from the "ou" (organizationalUnitName) attribute.
Comment 1 Ian Springer 2012-03-02 12:03:29 EST
Done in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=1e5926f
Comment 2 Mike Foley 2012-03-12 11:42:35 EDT
per BZ traige (crouch, foley, loleary), medium priority, not targetted for JON 3.1
Comment 5 Heiko W. Rupp 2013-09-04 03:48:10 EDT
Bulk closing of some old issues

Note You need to log in before you can comment on or make changes to this bug.